package cc.toph.simplycompat.forge;

import cc.toph.simplycompat.ExpectPlatform;
import cc.toph.simplycompat.SimplyCompat;
import java.nio.file.Path;
import net.minecraftforge.fml.ModList;
import net.minecraftforge.fml.loading.FMLPaths;

public class SimplyCompatExpectPlatformImpl {

  /**
   * This is our actual method to {@link ExpectPlatform#getConfigDirectory()}.
   */
  public static Path getConfigDirectory() {
    return FMLPaths.CONFIGDIR.get();
  }

  public static String getVersion() {
    return ModList.get()
      .getModContainerById(SimplyCompat.MOD_ID)
      .map(it -> it.getModInfo().getVersion().toString())
      .orElseThrow();
  }
}
